Bug 484636 - 6.10.0-1 regression: no longer detects DAC, monitor
6.10.0-1 regression: no longer detects DAC, monitor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
: 486925 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 23:55 EST by D. Hugh Redelmeier
Modified: 2009-12-18 02:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:51:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log for 6.9.0-63 (works) (101.79 KB, text/plain)
2009-02-09 00:18 EST, D. Hugh Redelmeier
no flags Details
Xorg.0.log for 6.10.0-1 (fails) (86.77 KB, text/plain)
2009-02-09 00:19 EST, D. Hugh Redelmeier
no flags Details
6.9.0-63 dmesg (37.82 KB, text/plain)
2009-02-21 02:30 EST, D. Hugh Redelmeier
no flags Details
6.9.0-63 Xorg.0.log (70.52 KB, text/plain)
2009-02-21 02:31 EST, D. Hugh Redelmeier
no flags Details
6.10.0-2 dmesg (37.84 KB, text/plain)
2009-02-21 02:32 EST, D. Hugh Redelmeier
no flags Details
6.10.0-2 Xorg0.log (71.26 KB, text/plain)
2009-02-21 02:33 EST, D. Hugh Redelmeier
no flags Details
6.10.0-2 nomodeset dmesg (37.86 KB, text/plain)
2009-02-21 02:34 EST, D. Hugh Redelmeier
no flags Details
6.10.0-2 nomodeset Xorg.0.log (71.26 KB, text/plain)
2009-02-21 02:35 EST, D. Hugh Redelmeier
no flags Details
dmesg : KMS + 6.10.0-2 (37.84 KB, text/plain)
2009-02-21 06:05 EST, François Cami
no flags Details
dmesg : nomodeset + 6.10.0-2 (37.86 KB, text/plain)
2009-02-21 06:06 EST, François Cami
no flags Details
dmesg : nomodeset + 6.10.0-2 (37.86 KB, text/plain)
2009-02-21 06:07 EST, François Cami
no flags Details
Xorg.0.log : 6.9.0-63 (working) (70.52 KB, text/plain)
2009-02-21 06:08 EST, François Cami
no flags Details
Xorg.0.log : KMS + 6.10.0-2 (broken) (71.26 KB, text/plain)
2009-02-21 06:12 EST, François Cami
no flags Details
Xorg.0.log : nomodeset + 6.10.0-2 (broken) (71.26 KB, text/plain)
2009-02-21 06:14 EST, François Cami
no flags Details

  None (edit)
Description D. Hugh Redelmeier 2009-02-08 23:55:14 EST
Description of problem:
After update from
  xorg-x11-drv-ati-6.9.0-63.fc10.x86_64
to
  xorg-x11-drv-ati-6.10.0-1.fc10.x86_64
X no longer comes up.  The screen is blank but ctrl-alt-F2 works to switch to a text console.

When I revert to 6.10.0-1, X works again.

Version-Release number of selected component (if applicable):
6.10.0-1.fc10.x86_64

How reproducible:
always on my system (as far as I know)

Steps to Reproduce:
1. upgrade to xorg-x11-drv-ati-6.10.0-1.fc10.x86_64
2. reboot
  
Actual results:
blank screen.

Expected results:
rhgb login screen.

Additional info:
See attached Xorg.0.log files: one for 6.9.0-63 and one for 6.10.0-1

Here are some notes on the differences.


| (II) Module ati: vendor="X.Org Foundation"
|-      compiled for 1.5.3, module version = 6.9.0
|+      compiled for 1.5.3, module version = 6.10.0
The ATI driver went from 6.9.0.something to 6.10.0.something

| (II) Loading /usr/lib64/xorg/modules/drivers//radeon_drv.so
|-      compiled for 1.5.3, module version = 6.9.0
|+      compiled for 1.5.3, module version = 6.10.0
I think that this is just the same thing.

|-(--) RADEON(0): Chipset: "ATI ATI Radeon HD 3600 XT" (ChipID = 0x9598)
|+(--) RADEON(0): Chipset: "ATI Radeon HD 3600 XT" (ChipID = 0x9598)
Looks like a typo got fixed.  I actually quoted this to show what my
display hardware is.   It is called an "Asus EAH3650 Silent Magic".

| (II) RADEON(0): Port0:
|  Monitor   -- AUTO
|  Connector -- HDMI-B
|- DAC Type  -- TVDAC/ExtDAC
|+ DAC Type  -- None
|  TMDS Type -- UNIPHY
|  DDC Type  -- 0x7e50

I don't know what this means.  I'm not sure which connector number I'm
using.  The card has no HDMI connector.  It has two DVI connectors and
an S-Video connector.  One of the DVI connectors is Dual-Link, and
that is what I'm using (my monitor requires dual-link).

| (II) RADEON(0): Output: HDMI-0, Detected Monitor Type: 0
|-Dac detection success
|+invalid output device for dac detection
This doesn't look good.

| (II) RADEON(0): Output: HDMI-0, Detected Monitor Type: 0
|-Dac detection success
|+invalid output device for dac detection
Seems like a repeat.  Why?

| (II) RADEON(0): EDID for output HDMI-0
| (II) RADEON(0): EDID for output DVI-0
| (II) RADEON(0): Manufacturer: DEL  Model: 4016  Serial#: 1194472500
I guess that means that my monitor is connected to DVI-0.

|-Output DIG2 dpms success
|+Output DIG0 dpms success
Does this difference mean anything?
It appears three times for some reason.

| Set CRTC 0 Source success
|-(II) RADEON(0): DIG2: Coherent Mode enabled
|-Output DIG2 setup success
|+Output DIG1 encoder setup success
|+(II) RADEON(0): DIG2 transmitter: Coherent Mode enabled
| Output DIG2 transmitter setup success
|-Output DIG2 dpms success
|+Output DIG0 dpms success
| Enable CRTC memreq 0 success
This seems confusing.  Why does the new config ever mention DIG2 when
it seems to have renumbered DIG2 to DIG0?

| Set CRTC 0 Source success
|-(II) RADEON(0): DIG2: Coherent Mode disabled
|-Output DIG2 setup success
|+Output DIG1 encoder setup success
|+(II) RADEON(0): DIG2 transmitter: Coherent Mode enabled
| Output DIG2 transmitter setup success
|-Output DIG2 dpms success
|+Output DIG0 dpms success
Similarly confusing.

| (II) RADEON(0): Output: HDMI-0, Detected Monitor Type: 0
|-Dac detection success
|-(II) RADEON(0): EDID for output HDMI-0
|-(II) RADEON(0): EDID for output DVI-0
|-(II) RADEON(0): Manufacturer: DEL  Model: 4016  Serial#: 1194472500
| ...
|-(II) RADEON(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync
(31.5 kHz)
|-(II) RADEON(0): Output: HDMI-0, Detected Monitor Type: 0
|+invalid output device for dac detection
Lots and lots of juicy lines missing after update.

| (II) RADEON(0): Output: HDMI-0, Detected Monitor Type: 0
|-Dac detection success
|+invalid output device for dac detection
This sequence appears a bunch of times.
Comment 1 D. Hugh Redelmeier 2009-02-09 00:18:01 EST
Created attachment 331281 [details]
Xorg.0.log for 6.9.0-63 (works)
Comment 2 D. Hugh Redelmeier 2009-02-09 00:19:25 EST
Created attachment 331282 [details]
Xorg.0.log for 6.10.0-1 (fails)
Comment 3 D. Hugh Redelmeier 2009-02-16 01:31:05 EST
Behaviour of 6.10.0-2 seems the same as that of 6.10.0-1
Comment 4 François Cami 2009-02-20 16:37:07 EST
Hugh,

Could you add dmesg output as uncompressed text/plain attachment to this bug ?
What happens if you boot with nomodeset ?

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 D. Hugh Redelmeier 2009-02-21 02:28:28 EST
Thanks for looking at this, François.

I've done 3 new runs
1. using 6.9.0-63
2. using 6.10.0-2
3. using 6.10.0-2 with nomodeset

In each case, after waiting for the login screen (whether it appeared or not), I went to console 2 and grabbed a copy of /var/log/Xorg.0.log and dmesg output.

Neither 2 nor 3 worked as I had hoped: the login screen was not visible.

The dmesg output did not seem to be interestingly different in the 3 cases.

The Xorg.0.log for 2 and 3 seemed to be mostly the same.  There was a difference in key mapping, but I don't see why.

I will attach these captured files.
Comment 6 D. Hugh Redelmeier 2009-02-21 02:30:25 EST
Created attachment 332788 [details]
6.9.0-63 dmesg
Comment 7 D. Hugh Redelmeier 2009-02-21 02:31:27 EST
Created attachment 332789 [details]
6.9.0-63 Xorg.0.log
Comment 8 D. Hugh Redelmeier 2009-02-21 02:32:25 EST
Created attachment 332790 [details]
6.10.0-2 dmesg
Comment 9 D. Hugh Redelmeier 2009-02-21 02:33:16 EST
Created attachment 332791 [details]
6.10.0-2 Xorg0.log
Comment 10 D. Hugh Redelmeier 2009-02-21 02:34:09 EST
Created attachment 332792 [details]
6.10.0-2 nomodeset dmesg
Comment 11 D. Hugh Redelmeier 2009-02-21 02:35:04 EST
Created attachment 332793 [details]
6.10.0-2 nomodeset Xorg.0.log
Comment 12 François Cami 2009-02-21 06:03:28 EST
Hugh,

Thank you for the information.

Switching Severity to high as this is rather critical.
Adjusting Priority accordingly.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 François Cami 2009-02-21 06:05:32 EST
Created attachment 332811 [details]
dmesg : KMS + 6.10.0-2 

switching to text/plain
Comment 14 François Cami 2009-02-21 06:06:10 EST
Created attachment 332812 [details]
dmesg : nomodeset + 6.10.0-2 

switching to text/plain
Comment 15 François Cami 2009-02-21 06:07:02 EST
Created attachment 332813 [details]
dmesg : nomodeset + 6.10.0-2 

switching to text/plain for real
Comment 16 François Cami 2009-02-21 06:08:53 EST
Created attachment 332814 [details]
Xorg.0.log : 6.9.0-63 (working)

switching to text/plain
Comment 17 François Cami 2009-02-21 06:12:25 EST
Created attachment 332817 [details]
Xorg.0.log : KMS + 6.10.0-2 (broken)

switch to text/plain
Comment 18 François Cami 2009-02-21 06:14:36 EST
Created attachment 332818 [details]
Xorg.0.log : nomodeset + 6.10.0-2 (broken)

switch to text/plain
Comment 19 D. Hugh Redelmeier 2009-02-28 03:02:22 EST
This looks to be another sighting of the same bug:
https://www.redhat.com/archives/fedora-list/2009-February/msg02824.html
Comment 20 François Cami 2009-03-13 16:26:02 EDT
*** Bug 486925 has been marked as a duplicate of this bug. ***
Comment 21 Bug Zapper 2009-11-18 02:48:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2009-12-18 02:51:39 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.